Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

I'm working on a small toolbar for ArcGIS 9.2, Windows XP, using Visual Studio .NET 2005. I followed Esri's instructions for creating an installer: http://edndoc.esri.com/arcobjects/9.2/NET/0df20605-b457-42d6-b63c-341a3824474a.htm. I can install the resulting .msi or .exe file on the workstation where the toolbar was developed, without being an admin. When I or our admin. tried to install it on other computers in the office, the install failed with an error code 2869. A web search ('install error 2869') returned mostly vague, unhelpful, and irrelevant results.

Has anyone else experienced this error when creating an installer, and how did you resolve it?

share|improve this question
    
What version of msiexec is installed on the dev and target machines?(type msiexec /? at command prompt) What OS and servicepack is the target machine? –  Kirk Kuykendall Feb 9 '12 at 16:49
    
Both have msiexec 4.5.6001.22159 & Windows XP SP3 –  Bruce Nielsen Feb 9 '12 at 21:22
add comment

1 Answer

The machines where you deploy the toolbar must be at the same version & service pack or lower. In your solution expand the References and highlight all the Esri references. In the properties for the Esri references make sure the property for 'Specific Version' is set to False. Also, the user installing the toolbar must have priviledges to write to the registry.

share|improve this answer
    
I can't find a 'Specific Version' property for the ESRI.ArcGIS references. The instructions mentioned above said to change the 'Exclude' property to True and 'Register' to vsdraDoNotRegister. –  Bruce Nielsen Feb 9 '12 at 22:00
    
The Specific Version property is in the main project's References not the Detected Dependencies list for your setup project. In the solution explorer click 'Show All Files' button. Expand the References item. Right-click on an Esri reference and select 'Properties'. Specific Version should be in there. Set all to False for Esri references then rebuild. –  Rich Wawrzonek Feb 11 '12 at 0:10
    
I found 1 ESRI reference set to True. Changed it to False and rebuilt solution. Gave the .msi to our IT admin. to install. I still returns the 2869 error code. –  Bruce Nielsen Feb 13 '12 at 20:11
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.